# Vector3

class `psi4.core.``Vector3`

  Bases: `pybind11_builtins.pybind11_object`

  Class for vectors of length three, often Cartesian coordinate vectors, and their common operations

  Methods Summary

  `cross`(self, arg0) | Returns cross product of arg1 and arg2
  `distance`(self, arg0) | Returns distance between two points represented by arg1 and arg2
  `dot`(self, arg0) | Returns dot product of arg1 and arg2
  `norm`(self) | Returns Euclidean norm of arg1
  `normalize`(self) | Returns vector of unit length and arg1 direction

  Methods Documentation

  `cross`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → psi4.core.Vector3

    Returns cross product of arg1 and arg2

  `distance`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → float

    Returns distance between two points represented by arg1 and arg2

  `dot`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → float

    Returns dot product of arg1 and arg2

  `norm`(self: psi4.core.Vector3) → float

    Returns Euclidean norm of arg1

  `normalize`(self: psi4.core.Vector3) → None

    Returns vector of unit length and arg1 direction

  `cross`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → psi4.core.Vector3

    Returns cross product of arg1 and arg2

  `distance`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → float

    Returns distance between two points represented by arg1 and arg2

  `dot`(self: psi4.core.Vector3, arg0: psi4.core.Vector3) → float

    Returns dot product of arg1 and arg2

  `norm`(self: psi4.core.Vector3) → float

    Returns Euclidean norm of arg1

  `normalize`(self: psi4.core.Vector3) → None

    Returns vector of unit length and arg1 direction